summaryrefslogtreecommitdiff
path: root/integration_tests/simple
diff options
context:
space:
mode:
Diffstat (limited to 'integration_tests/simple')
-rw-r--r--integration_tests/simple/.pik/echo.sh2
-rw-r--r--integration_tests/simple/.pik/result.sh2
-rw-r--r--integration_tests/simple/README.md1
-rw-r--r--integration_tests/simple/echo.test.sh5
-rw-r--r--integration_tests/simple/echo_full.test.sh5
-rw-r--r--integration_tests/simple/nonexistent_target.test.sh5
-rw-r--r--integration_tests/simple/result.test.sh5
7 files changed, 25 insertions, 0 deletions
diff --git a/integration_tests/simple/.pik/echo.sh b/integration_tests/simple/.pik/echo.sh
new file mode 100644
index 0000000..c8a6153
--- /dev/null
+++ b/integration_tests/simple/.pik/echo.sh
@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+echo "$@" \ No newline at end of file
diff --git a/integration_tests/simple/.pik/result.sh b/integration_tests/simple/.pik/result.sh
new file mode 100644
index 0000000..7a534a6
--- /dev/null
+++ b/integration_tests/simple/.pik/result.sh
@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+echo "banana" \ No newline at end of file
diff --git a/integration_tests/simple/README.md b/integration_tests/simple/README.md
new file mode 100644
index 0000000..6925e22
--- /dev/null
+++ b/integration_tests/simple/README.md
@@ -0,0 +1 @@
+these tests try some simple pik usage \ No newline at end of file
diff --git a/integration_tests/simple/echo.test.sh b/integration_tests/simple/echo.test.sh
new file mode 100644
index 0000000..917a76d
--- /dev/null
+++ b/integration_tests/simple/echo.test.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+if [[ "$($PIK result)" != *"banana"* ]] ; then
+ echo "expected banana" 1>&2
+ exit 1
+fi \ No newline at end of file
diff --git a/integration_tests/simple/echo_full.test.sh b/integration_tests/simple/echo_full.test.sh
new file mode 100644
index 0000000..7290cd2
--- /dev/null
+++ b/integration_tests/simple/echo_full.test.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+if [[ "$($PIK simple result)" != *"banana"* ]] ; then
+ echo "expected banana" 1>&2
+ exit 1
+fi \ No newline at end of file
diff --git a/integration_tests/simple/nonexistent_target.test.sh b/integration_tests/simple/nonexistent_target.test.sh
new file mode 100644
index 0000000..4915e77
--- /dev/null
+++ b/integration_tests/simple/nonexistent_target.test.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+if [[ "$($PIK 123)" != "" ]] ; then
+ echo "expected no output" 1>&2
+ exit 1
+fi \ No newline at end of file
diff --git a/integration_tests/simple/result.test.sh b/integration_tests/simple/result.test.sh
new file mode 100644
index 0000000..3d4a2bc
--- /dev/null
+++ b/integration_tests/simple/result.test.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+if [[ "$($PIK echo asdf)" != *"asdf"* ]] ; then
+ echo "expected banana" 1>&2
+ exit 1
+fi \ No newline at end of file